# -*- coding: latin-1 -*-
import vboxapi

vbm = vboxapi.VirtualBoxManager(None, None)
vb = vbm.vbox

vms = vbm.getArray(vb, 'machines')
for vm in vms:
    print vm.name
    print vm.description
    print vm.id
    print vm.OSTypeId
    print "Nb de Cpu:", vm.CPUCount
    print "Memoire:", vm.memorySize
    print "Memoire video", vm.VRAMSize
    print
    
